function dx = RHS(~,x)

% import constants
global S k NrReactions
% import (time-dependent) reaction rates 
r = ReactionFunctions(x,k,NrReactions);
% compute derivative unit: [mole/min]
dx = S*r;

%compute reaction rates
function r = ReactionFunctions(x,k,NrReactions)
r = zeros(NrReactions,1);
r(1) = x(1)*x(2)*k(1); % second order reaction
r(2) = x(3)*k(2);% first order reaction
r(3) = x(3)*k(3);% first order reaction



