function dx = RHSPK(~,x)

% import constants
global S k NrReactions
% import (time-dependent) reaction rates 
r = ReactionFunctions(x,k,NrReactions);
% compute derivative unit: [mole/min]
dx = S*r;

%compute reaction rates
function r = ReactionFunctions(x,k,NrReactions)
r = zeros(NrReactions,1);
r(1) = x(1)*k(1); % first order reaction
r(2) = x(1)*k(2);% first order reaction
r(3) = x(2)*k(3);% first order reaction



